Subject: bug#29680: another grep-find anomalous behaviour

From: Donald H Locker <[email-masked]>
Date: Fri, 15 Dec 2017 13:46:32 -0500

Thank you, Eli.

The underlying "unixy" environment is cygwin; updated a few weeks ago. 
(Windows command tools are junk.)

The behaviour is very repeatable, though - at one level in the directory 
hierarchy, the command fails to even execute find; at one higher level 
in the directory hierarchy, the command succeeds and finds the sought 
strings in the file. Note that in the Model_withEVSE directory, "find ." 
doesn't seem to think that '.' is a directory, while it is perfectly 
happy when started in the directory above that. (word wrap seems to have 
made those lines hard to see clearly.)

I'll see if I can drag myself away from Emacs-24.

Donald.
-- 
*Plain Text* email -- it's an accessibility issue
() no proprietary attachments; no html mail
/\ <http://www.georgedillon.com/web/html_email_is_evil.shtml>

On 15-Dec-2017 11:49, Eli Zaretskii wrote:
>> From: Donald H Locker <[email-masked]>
>> Date: Fri, 15 Dec 2017 07:25:33 -0500
>>
>> -*- mode: grep; default-directory:
>> "c:/workingSVN/2017-08-21-xxxxx-v2g-test-model/Model_withEVSE/" -*-
>> Grep started at Fri Dec 15 07:12:23
>>
>> find . -type f -name '*.log' -exec grep -nHE 'CurrentDemand' {} \;
>> /usr/bin/find: paths must precede expression
>> Usage: /usr/bin/find [path...] [expression]
>>
>> Grep exited abnormally with code 1 at Fri Dec 15 07:12:23
> 
> Do you have the sub-shell customized to invoke a Unixy shell or
> something?  Windows shells don't support quoting 'like this', so you
> need to use "*.log" instead.  And, depending on which port of GNU
> Findutils you have installed, even "*.log" could get expanded, even
> though it's quoted, because Windows Vista changed its interpretation
> of quoting wrt previous versions of Windows.
> 
> Also, I wonder how come Emacs doesn't propose to the the command with
> "+" as it did for me.
> 
> FWIW, your command (with a different search string) works for me, but
> it isn't surprising, since in your case it sometimes works and
> sometimes doesn't.
> 
>> GNU Emacs 24.5.1 (i686-pc-mingw32)
> 
> Emacs 24 is quite old.  Could you try the latest pretest of Emacs 26,
> please?
>